#!/bin/bash
user=slimer #имя будущего юзера
disk=/dev/sdb3 #раздел на который будет ставиться убунту.
obraz=ubuntu-9.04-alternate-i386.iso

mount -t sysfs sysfs /sys #монтирование sysfs
dpkg-reconfigure console-setup #настройка языка в консоли и всего прочего
mkdir /mnt/cd #создание папки для монтирования образа
mount -o loop /home/distr/$obraz /mnt/cd #монтирование образа
apt-get update #получение пакетов из образа
apt-get install ubuntu-standard grub linux-image linux-image-generic linux-headers-generic build-essential ssh samba -y #установка важных и нужных пакетов
apt-get install ubuntu-desktop gnome-user-guide-ru language-pack-gnome-ru language-pack-ru -y #установка gnome
#apt-get install xubuntu-desktop -y #у кого образ xubuntu раскоментируйте эту строчку и закомментируйте предыдущюю
#apt-get install kubuntu-desktop -y #у кого образ kubuntu раскоментируйте эту строчку и закомментируйте 2 предыдущих
cp /proc/mounts /etc/mtab #необходимо для grub
grub-install --recheck $disk #установка grub
echo "Добавление Юзера. Сейчас вам будет предложено ввести пароль и свои данные"
adduser $user #создание пользователя
addgroup --system admin #создание группы
adduser $user admin #добавление юзера в группу админ
cp /etc/apt/sources.inet /etc/apt/sources.list #Замена источников с диска на источники с интернета
apt-get update
#apt-get purge ekiga evolution evolution-common evolution-data-server pidgin pidgin-data transmission-common rhythmbox totem totem-common -y #удаляю всякую чепуху ненужную. можете закомментировать.
apt-get dist-upgrade -y
