#!/bin/bash
disk=/dev/sdb3 #раздел на который будет ставиться убунта
version=jaunty #версия убунты.
arch=i386 #архитектура
path=/home/slimer/distr/ubuntu-9.04-alternate-i386.iso #путь до вашего образа Ubuntu
#это все переменные, изменяйте их значение в зависимости от раздела и версии убунты. в целом скрипт будет работать.

mkdir /newubuntu #создание папки для монтирования новой системы
mount $disk /newubuntu #монтирование раздела куда будет ставиться Ubuntu
apt-get install debootstrap -y #установка debootstrap'а, если у кого он не установлен...
mkdir /mnt/cd #создание папки для монтирования образа Ubuntu
mount -o loop $path /mnt/cd/ #монтирование образа ubuntu
debootstrap --arch $arch $version /newubuntu file:/mnt/cd #Идет установка базовой системы убунту на новый винчестер
cp /etc/fstab /newubuntu/etc/fstab #копируется ваш fstab в новую систему
cp /etc/hostname /newubuntu/etc/hostname #копируется ваш hostname в новую систему
cp /etc/hosts /newubuntu/etc/hosts #копируется ваш hosts в новую систему
cp /home/setup/sourcescd /newubuntu/etc/apt/sources.list #источники пакетов из образа
cp /home/setup/sources.list /newubuntu/etc/sources.inet #на будущее копируется источники из интернета
cp /home/setup/sudoers /newubuntu/etc/sudoers #файл sudoers копируется в вашу новую систему
mkdir /newubuntu/home/distr/
cp /home/setup/chrootsetup.sh /newubuntu/home/distr/ #копирование второй части установки внутрь новой системы
cp $path /newubuntu/home/distr #пригодится нам еще образ
mount -o bind /dev /newubuntu/dev #необходимо для установки GRUB
mount -o bind /proc /newubuntu/proc #необходимо для вообще работы новой системы
LANG= chroot /newubuntu /home/distr/chrootsetup.sh #переход к выполнению скрипта уже в новой системе
